Retrieves all objects db_info that belongs to a static category (like Company,Project,...)
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_info| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the db_info (Chapter name) |
string |
Required Max length: 50 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| sequence |
Sorting field (0 first), to order them |
integer | |
| db_info_category_id |
Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type |
globally unique identifier | |
| db_info_category_code |
Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields |
string |
Required |
| parent_id |
Parent Db_info (chapter) (Parent / Child) |
globally unique identifier | |
| parent_db_info_code |
Embedded entity "db_info" for parent using ERP PK when adding/updating db_info |
string | |
| parent_db_info |
Embedded entity "db_info" for parent when adding/updating db_info |
db_info | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "a3ab25d7-01f6-4544-9736-8dd5462f12c2",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "3471d0e8-7b1f-4f40-9acf-73b4ae06d4e9",
"db_info_category_code": "sample string 6",
"parent_id": "d38741cf-a885-4d4e-8db2-629afe68c17d",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-10-10T16:02:38.0711393+00:00"
}